dn= >/dev/null
grey=   Grey newclip=1 wantscalebar=1 bpclip=0 epclip=100 ${dn}
jgrey= Grey newclip=1 wantscalebar=1 bpclip=0 epclip=100 color=j ${dn}
xgrey=   Grey newclip=1 wantscalebar=1 bpclip=0 epclip=100 ${dn}
pcgrey = Grey newclip=1 wantscalebar=1 bpclip=3 epclip=97 color=j ${dn}


lens_labels= " label1=t(s) label2=Distance(Km) label3= o3=0 d3=1"
vel_labels=  label1="z(m)"  label2="x(m)" # barlabel="Velocity"
blank= title=" "


# Test on Bob Lens Model
#----------------------------
lens-vel.H :
	Cp /homes/sep/bob/next_report/inverse/vel.H $@
	echo  ${lens_labels} >>$@

lens-prp.H: lens-vel.H
	Cp $< junk1.H
	Math file1=junk1.H exp='file1-2' >$@

lens-S1vel.H: lens-vel.H
	Smooth < $< rect1=5 rect2=1 >$@

lens-S2vel.H: lens-vel.H
	Smooth < $< rect1=5 rect2=5 >$@

lens-xg.H: lens-vel.H lens-prp.H
	${BT}/XGrad.x <lens-vel.H aux=lens-prp.H  >$@

lens-S1xg.H: lens-S1vel.H lens-prp.H
	${BT}/XGrad.x <lens-S1vel.H aux=lens-prp.H >$@


lens-S2xg.H: lens-S2vel.H lens-prp.H
	${BT}/XGrad.x <lens-S2vel.H aux=lens-prp.H >$@

lens%vel.v: lens%vel.H 
	${grey} <lens$*vel.H  out=${R}/lens$*vel.v  ${blank} ${vel_labels}

lens%xg.v: lens%xg.H 
	${xgrey} <lens$*xg.H  out=${R}/lens$*xg.v  ${blank}


# lens-allvel.v: lens-vel.H lens-S1vel.H  lens-S2vel.H
# 	${fgrey} <lens-vel.H title="Pillow Velocity"  out=${R}/lens-vel.v  ${blank} ${vel_labels}
# 	${fgrey} <lens-S1vel.H  title="Smooth1 Pillow Velocity"  out=${R}/lens-S1vel.v ${blank} ${vel_labels}
# 	${fgrey} <lens-S2vel.H  title="Smooth2 Pillow Velocity"  out=${R}/lens-S2vel.v ${blank} ${vel_labels}
# 	vp_Movie ${R}/lens-vel.v ${R}/lens-S1vel.v ${R}/lens-S2vel.v >${R}/$@


# lens-allxg.v: lens-xg.H  lens-S1xg.H  lens-S2xg.H
# 	${grey} < lens-xg.H title="XGradients For Pillow"  out=${R}/lens-xg.v ${blank}
# 	${grey} < lens-S1xg.H title="XGradients For Smooth1 Pillow" out=${R}/lens-S1xg.v ${blank}
# 	${grey} < lens-S2xg.H title="XGradients For Smooth2 Pillow" out=${R}/lens-S2xg.v ${blank}
# 	vp_Movie ${R}/lens-xg.v ${R}/lens-S1xg.v ${R}/lens-S2xg.v >${R}/$@


# Test on Pillow Model
#----------------------------
pilw-vel.H :
	Cp /data/pillow/velo.H  junkv.H
	echo  ${vel_labels} >>junkv.H
	Smooth  <junkv.H rect1=20 rect2=20 >$@

pilw-prp.H: pilw-vel.H
	Cp $< junk1.H
	Math file1=junk1.H exp='file1/1000-2' >$@

pilw-S1vel.H: pilw-vel.H
	Smooth < $< rect1=50 rect2=1 >$@

pilw-S2vel.H: pilw-vel.H
	Smooth < $< rect1=50 rect2=25 >$@

pilw-xg.H: pilw-vel.H pilw-prp.H
	${BT}/XGrad.x <pilw-vel.H aux=pilw-prp.H >$@

pilw-S1xg.H: pilw-S1vel.H pilw-prp.H 
	${BT}/XGrad.x <pilw-S1vel.H aux=pilw-prp.H >$@


pilw-S2xg.H: pilw-S2vel.H pilw-prp.H
	${BT}/XGrad.x <pilw-S2vel.H aux=pilw-prp.H >$@


pilw%vel.v: pilw%vel.H 
	${grey} <pilw$*vel.H  out=${R}/pilw$*vel.v  ${blank} ${vel_labels}

pilw%xg.v: pilw%xg.H 
	${xgrey} <pilw$*xg.H  out=${R}/pilw$*xg.v  ${blank}

pilw-allvel.v: pilw-vel.H pilw-S1vel.H pilw-S2vel.H
	${fgrey} <pilw-vel.H title="Pillow Velocity"  out=${R}/pilw-vel.v  ${blank} ${vel_labels}
	${fgrey} <pilw-S1vel.H  title="Smooth1 Pillow Velocity"  out=${R}/pilw-S1vel.v ${blank} ${vel_labels}
	${fgrey} <pilw-S2vel.H  title="Smooth2 Pillow Velocity"  out=${R}/pilw-S2vel.v ${blank} ${vel_labels}
	vp_Movie ${R}/pilw-vel.v ${R}/pilw-S1vel.v ${R}/pilw-S2vel.v >${R}/$@


pilw-allxg.v: pilw-xg.H  pilw-S1xg.H  pilw-S2xg.H
	${grey} < pilw-xg.H title="XGradients For Pillow"  out=${R}/pilw-xg.v ${blank}
	${grey} < pilw-S1xg.H title="XGradients For Smooth1 Pillow" out=${R}/pilw-S1xg.v ${blank}
	${grey} < pilw-S2xg.H title="XGradients For Smooth2 Pillow" out=${R}/pilw-S2xg.v ${blank}
	vp_Movie ${R}/pilw-xg.v ${R}/pilw-S1xg.v ${R}/pilw-S2xg.v >${R}/$@




# Test on Marmousi Model
#----------------------------
marm-vel.H :
	Cp /data/marmousi/marmvel.H  junkv.H
	echo  ${vel_labels} >>junkv.H
	Smooth  <junkv.H rect1=10 rect2=10 >$@

marm-prp.H: marm-vel.H
	Cp $< junk2.H
	Math file1=junk2.H exp='file1/1000-2' >$@

marm-S1vel.H: marm-vel.H
	Smooth < $< rect1=30 rect2=1 >$@

marm-S2vel.H: marm-vel.H
	Smooth < $< rect1=30 rect2=15 >$@

marm-xg.H: marm-vel.H marm-prp.H
	${BT}/XGrad.x <marm-vel.H aux=marm-prp.H >$@

marm-S1xg.H: marm-S1vel.H marm-prp.H 
	${BT}/XGrad.x <marm-S1vel.H aux=marm-prp.H >$@


marm-S2xg.H: marm-S2vel.H marm-prp.H
	${BT}/XGrad.x <marm-S2vel.H  aux=marm-prp.H >$@


marm%vel.v: marm%vel.H 
	${grey} <marm$*vel.H  out=${R}/marm$*vel.v  ${blank} ${vel_labels}

marm%xg.v: marm%xg.H 
	${xgrey} <marm$*xg.H  out=${R}/marm$*xg.v  ${blank}

marm-allvel.v:marm-vel.H marm-S1vel.H marm-S2vel.H
	${fgrey} <marm-vel.H title="Marmousi Velocity"  out=${R}/marm-vel.v ${blank} ${vel_labels}
	${fgrey} <marm-S1vel.H  title="Smooth1 Marmousi Velocity"  out=${R}/marm-S1vel.v ${blank} ${vel_labels}
	${fgrey} <marm-S2vel.H  title="Smooth2 Marmousi Velocity"  out=${R}/marm-S2vel.v ${blank} ${vel_labels}
	vp_Movie ${R}/marm-vel.v ${R}/marm-S1vel.v ${R}/marm-S2vel.v >${R}/$@


marm-allxg.v: marm-xg.H  marm-S1xg.H  marm-S2xg.H
	${grey} < marm-xg.H title="XGradients For Marmousi"  out=${R}/marm-xg.v ${blank}
	${grey} < marm-S1xg.H title="XGradients For Smooth1 Marmousi" out=${R}/marm-S1xg.v ${blank}
	${grey} < marm-S2xg.H title="XGradients For Smooth2 Marmousi" out=${R}/marm-S2xg.v ${blank}
	vp_Movie ${R}/marm-xg.v ${R}/marm-S1xg.v ${R}/marm-S2xg.v > ${R}/$@






